/*
 * Copyright (c) 2016 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#if !defined(_HTTP_QUERY_H_)
#define _HTTP_QUERY_H_

#include <stdbool.h>
#include <stddef.h>

typedef size_t(*http_query_data_received_cb)(char*, size_t, size_t, void*);

bool http_query_init(void);
void http_query_deinit(void);
bool http_query_set_url(const char *url, http_query_data_received_cb callback, void *user_data);
bool http_query_do(void);

#endif
