/*
 * Copyright (c) 2016 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#if !defined(_WEATHER_QUERY_H_)
#define _WEATHER_QUERY_H_

#include <stdbool.h>
#include "data.h"

typedef void (*weather_data_read_cb)(xml_weather_t *weather);

bool weather_init(void);
void weather_deinit(void);
bool weather_query(double latitude, double longitude, weather_data_read_cb callback);

#endif
