/*
 * Copyright (c) 2016 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#if !defined(_VIEW_DEFINES_H_)
#define _VIEW_DEFINES_H_

#define MAIN_EDJ "edje/main.edj"
#define MAIN_GRP "main"
#define PART_BACKGROUND "background"
#define PART_FRAME "frame"
#define PART_IMAGE "image"
#define PART_TEMPERATURE "temperature"
#define PART_TEMPERATURE_SIGN "temperature_sign"
#define PART_TEMPERATURE_TEXT "temperature_text"
#define PART_CITY "city"
#define PART_COUNTRY "country"
#define PART_DAY_OF_WEEK "day_of_week"
#define PART_DATE "date"
#define PART_CLOUD_1 "cloud_1"
#define PART_CLOUD_2 "cloud_2"
#define PART_CLOUD_3 "cloud_3"

#define SIGNAL_BACKGROUND_HOT_SET "background,hot"
#define SIGNAL_BACKGROUND_COLD_SET "background,cold"
#define SIGNAL_FRAME_HOT_SET "frame,hot"
#define SIGNAL_FRAME_COLD_SET "frame,cold"
#define SIGNAL_TEMPERATURE_SIGN_SHOW "temperature,sign,show"
#define SIGNAL_TEMPERATURE_SIGN_HIDE "temperature,sign,hide"
#define SIGNAL_DAY_OF_WEEK_HOT_SET "dayofweek,hot"
#define SIGNAL_DAY_OF_WEEK_COLD_SET "dayofweek,cold"
#define SIGNAL_CLOUDS_ANIMATION_STOP "clouds,animation,stop"
#define SIGNAL_CLOUDS_ANIMATION_RESET "clouds,animation,reset"

#define MSG_ID_TIME 1

#endif
